# -*- makefile-*-

#
# We provide this package
#
PACKAGES-$(PTXCONF_GST_PLUGIN_I2C) += gst-plugin-i2c

#
# Paths and names
#
GST_PLUGIN_I2C_VERSION	:= 0.0.1
GST_PLUGIN_I2C		:= gst-plugin-i2c
GST_PLUGIN_I2C_SRCDIR	:= $(PTXDIST_WORKSPACE)/local_src/$(GST_PLUGIN_I2C)
GST_PLUGIN_I2C_DIR	:= $(BUILDDIR)/$(GST_PLUGIN_I2C)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

$(STATEDIR)/gst-plugin-i2c.extract:
	@$(call targetinfo)
	@$(call clean, $(GST_PLUGIN_I2C_DIR))
	cd $(GST_PLUGIN_I2C_SRCDIR) && sh autogen.sh
	@$(call patchin, GST_PLUGIN_I2C, $(GST_PLUGIN_I2C_SRCDIR))
	mkdir -p $(GST_PLUGIN_I2C_DIR)
	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

GST_PLUGIN_I2C_PATH	:= PATH=$(CROSS_PATH)
GST_PLUGIN_I2C_ENV	:= $(CROSS_ENV)

#
# autoconf
#
GST_PLUGIN_I2C_CONF_TOOL := autoconf
GST_PLUGIN_I2C_CONF_OPT := \
	$(CROSS_AUTOCONF_USR)

$(STATEDIR)/gst-plugin-i2c.prepare:
	@$(call targetinfo)
	@$(call clean, $(GST_PLUGIN_I2C_DIR)/config.cache)
	cd $(GST_PLUGIN_I2C_DIR) && \
		$(GST_PLUGIN_I2C_PATH) $(GST_PLUGIN_I2C_ENV) \
		$(GST_PLUGIN_I2C_SRCDIR)/configure $(GST_PLUGIN_I2C_CONF_OPT)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/gst-plugin-i2c.targetinstall:

	@$(call targetinfo)
	@$(call install_init,	gst-plugin-i2c)
	@$(call install_fixup,	gst-plugin-i2c,PACKAGE,gst-plugin-i2c)
	@$(call install_fixup,	gst-plugin-i2c,PRIORITY,optional)
	@$(call install_fixup, gst-plugin-i2c,VERSION,$(GST_PLUGIN_I2C_VERSION))
	@$(call install_fixup, gst-plugin-i2c,SECTION,base)
	@$(call install_fixup, gst-plugin-i2c,AUTHOR,"Christian Hemp <c.hemp@phytec.de>")
	@$(call install_fixup, gst-plugin-i2c,DEPENDS,)
	@$(call install_fixup, gst-plugin-i2c,DESCRIPTION,missing)

	@$(call install_copy, gst-plugin-i2c, 0, 0, 0644, \
		$(GST_PLUGIN_I2C_DIR)/src/.libs/libgsti2c.so, \
		/usr/lib/gstreamer-0.10/libgsti2c.so)

	#@$(call install_alternative, gst-plugin-i2c, 0, 0, 0777, /usr/bin/video)

	@$(call install_finish, gst-plugin-i2c)

	@$(call touch)

# vim: syntax=make
